if (args.test.characteristicKey == "wp")
{
    if (args.test.failed)
    {
        let item = await fromUuid("Compendium.wfrp4e-core.items.AGcJl5rHjkyIQBPP")
        let data = item.toObject();
        this.actor.createEmbeddedDocuments("Item", [data])

        this.script.message(`Test de FM échoué, <b>${this.actor.prototypeToken.name}</b> gain de @UUID[Compendium.wfrp4e-core.items.AGcJl5rHjkyIQBPP] pour [[1d10]] heures`)
    }
}